Nano Banana Edit
curl --request POST \
--url https://api.goenhance.ai/api/v1/images/generations \
--header 'Content-Type: application/json' \
--data '
{
"model": "nano-banana-edit",
"prompt": "Turn the picture into a figurine in front of the computer",
"ratio": "9:16",
"image_list": [
{
"url": "https://cdn2.face2emoji.app/cdn-cgi/image/format=jpeg,width=1000/user/upload-data/default/448035664101645afb4f5b7b2125ccea.jpg"
}
]
}
'import requests
url = "https://api.goenhance.ai/api/v1/images/generations"
payload = {
"model": "nano-banana-edit",
"prompt": "Turn the picture into a figurine in front of the computer",
"ratio": "9:16",
"image_list": [{ "url": "https://cdn2.face2emoji.app/cdn-cgi/image/format=jpeg,width=1000/user/upload-data/default/448035664101645afb4f5b7b2125ccea.jpg" }]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'nano-banana-edit',
prompt: 'Turn the picture into a figurine in front of the computer',
ratio: '9:16',
image_list: [
{
url: 'https://cdn2.face2emoji.app/cdn-cgi/image/format=jpeg,width=1000/user/upload-data/default/448035664101645afb4f5b7b2125ccea.jpg'
}
]
})
};
fetch('https://api.goenhance.ai/api/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"img_uuid": "c12b656c-747a-44fd-9c80-add79b0c52d5"
}
}Nano Banana
Nano Banana Edit API
Pricing: 2 tokens per image (= $0.04).
POST
/
api
/
v1
/
images
/
generations
Nano Banana Edit
Headers
Body
application/json
Model name. Must be nano-banana-edit.
Available options:
nano-banana-edit Required array length:
1 - 4 elementsShow child attributes
Show child attributes
Output aspect ratio. Defaults to auto, which lets the model choose the framing from your prompt.
Available options:
auto, 1:1, 16:9, 9:16, 4:3, 3:4, 2:3, 3:2 Optional. A publicly accessible HTTPS URL. When the task status changes (processing / success / failed), GoEnhance sends a POST request to this URL. The request body is identical to the response of GET /api/v1/jobs/detail. If your server does not respond with HTTP 200, the notification is retried up to 3 times, with a 3-second timeout per attempt.
Example:
"https://your-server.com/goenhance/callback"
⌘I
